locate(1)

NUME
locate - găsește fișiere după nume

REZUMAT
locate [OPȚIUNE]... MODEL...

DESCRIERE
locate citește una sau mai multe baze de date pregătite de updatedb(8) și scrie numele fișierelor care corespund cel puțin unuia dintre MODELE la ieșirea standard, unul pe linie. Dacă nu se specifică --regex, MODELELE pot conține caractere de globalizare (caractere Joker). Dacă niciun MODEL nu conține caractere Joker, locate se comportă ca și cum modelul ar fi *MODEL*. În mod implicit, locate nu verifică dacă fișierele găsite în baza de date mai există încă (dar cere ca toate directoarele părinte să existe dacă baza de date a fost construită cu --require-visibility no). locate nu poate niciodată să raporteze fișiere create după cea mai recentă actualizare a bazei de date relevante.

STARE DE IEȘIRE
locate iese cu starea 0 dacă s-a găsit vreo potrivire sau dacă locate a fost invocată cu una dintre opțiunile --limit 0, --help, --statistics sau --version. În cazul în care nu s-a găsit nicio potrivire sau a fost întâlnită o eroare fatală, locate iese cu starea 1. Erorile întâlnite în timpul citirii unei baze de date nu sunt fatale, căutarea continuă în alte baze de date specificate, dacă există.

OPȚIUNI

-A, --all
    Afișează numai intrările care se potrivesc cu toate MODELELE în loc de a cere ca numai una dintre ele să se potrivească.

-b, --basename
    Potrivește numai numele de bază cu modelele specificate. Aceasta este opusul lui --wholename.

-c, --count
    În loc să scrieți numele fișierelor la ieșirea standard, scrie doar numărul de intrări corespunzătoare.

-d, --database RUTA_LA_BD
    Înlocuiește baza de date implicită cu DBPATH. DBPATH este o listă de nume de fișiere de baze de date separate prin :. Dacă se specifică mai multe opțiuni --database, ruta rezultată este o concatenare a rutelor separate. Un nume de fișier de bază de date gol este înlocuit cu baza de date implicită. Un nume de fișier de bază de date - se referă la intrarea standard. Rețineți că o bază de date poate fi citită de la intrarea standard o singură dată.

-e, --existing
    Imprimă numai intrările care se referă la fișiere existente în momentul în care se execută locate.

-L, --follow
    Atunci când se verifică dacă există fișiere (dacă este specificată opțiunea --existent), se urmăresc legăturile simbolice care urmează. Acest lucru face ca legăturile simbolice rupte să fie omise din rezultat. Acesta este comportamentul implicit. Opusul poate fi specificat folosind --nofollow.

-h, --help
    Scrie un rezumat al opțiunilor disponibile la ieșirea standard și iese.

-i, --ignore-case
    Ignoră diferențele dintre majuscule și minuscule atunci când se potrivesc modelele.

-l, --limit, -n LIMITA
    Iese cu succes după ce a găsit intrările LIMITA. Dacă este specificată opțiunea --count, numărul rezultat este, de asemenea, limitat la LIMITA.

-m, --mmap
    Ignorată, pentru compatibilitate cu BSD și GNU locate.

-P, --nofollow, -H
    Atunci când se verifică dacă există fișiere (dacă este specificată opțiunea --existent), nu se urmăresc legăturile simbolice care urmează. Acest lucru face ca legăturile simbolice rupte să fie raportate precum alte fișiere. Aceasta este opusul lui --follow.

-0, --null
    Separă intrările de ieșire folosind caracterul ASCII NUL în loc să scrie fiecare intrare pe o linie separată. Această opțiune este concepută pentru interoperabilitate cu opțiunea --null din GNU xargs(1).

-S, --statistics
    Scrie statistici despre fiecare bază de date citită la ieșirea standard în loc să caute fișiere și să iasă cu succes.

-q, --quiet
    Nu scrie mesaje despre erorile întâlnite în timpul citirii și procesării bazelor de date.

-r, --regexp EXP_REG
    Caută o expresie regulată de bază EXP_REG. Nu sunt permise MODELe dacă se utilizează această opțiune, dar aceasta poate fi specificată de mai multe ori.

--regex
    Interpretează toate PATTERNs ca expresii regulate extinse.

-s, --stdio
    Ignorată, pentru compatibilitate cu BSD și GNU locate.

-V, --version
    Scrie informații despre versiunea și licența lui locate la ieșirea standard și iese.

-w, --wholename
    Se potrivește numai numele întregii rute cu modelele specificate. Acesta este comportamentul implicit. Opusul poate fi specificat folosind --basename.

EXEMPLE
Pentru a căuta un fișier numit exact NUME (nu *NUME*), utilizați
    locate -b '\NUME'
Deoarece \ este un caracter de globalizare (caracter Joker), acest lucru dezactivează înlocuirea implicită a lui NUME cu *NUME*.

FIȘIERE

/var/lib/mlocate/mlocate.db
    Baza de date căutată în mod implicit.

MEDIU

LOCATE_PATH
    Ruta către baze de date suplimentare, adăugate după baza de date implicită sau după bazele de date specificate cu ajutorul opțiunii --database.

NOTE
Ordinea în care sunt procesate bazele de date solicitate este nespecificată, ceea ce îi permite lui locate să reordoneze ruta bazelor de date din motive de securitate. locate încearcă să fie compatibil cu slocate (fără opțiunile utilizate pentru crearea bazelor de date) și GNU locate, în această ordine. Acesta este motivul pentru opțiunea implicită nepractică --follow și pentru setul confuz de opțiuni --regex și --regexp. Scrisul scurt al opțiunii -r este incompatibil cu GNU locate, unde corespunde opțiunii --regex. Utilizați numele lung al opțiunii pentru a evita confuziile. Variabila de mediu LOCATE_PATH înlocuiește baza de date implicită în BSD și GNU locate, dar este adăugată la alte baze de date în această implementare și în slocate.

AUTOR
Miloslav Trmac <mitr@redhat.com>

CONSULTAȚI ȘI
updatedb(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.